
QGIS Application - Bug report #14206

 jp2 raster displayed as black background in QGISmaster 8dafa63,

2016-02-01 03:16 AM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22208

Description

jp2 images are shown in black with underlying different colours in QGIS-master.

The same images are correct displayed in QGIS 2.12

jpg is attached.

History

#1 - 2016-02-01 11:30 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

- Status changed from Open to Feedback

Please attach sample data.

#2 - 2016-02-01 11:23 PM - Gerhard Spieles

sample attached

#3 - 2016-02-01 11:25 PM - Gerhard Spieles

file is to large

#4 - 2016-02-02 03:04 AM - Giovanni Manghi

send it to me (giovanni dot manghi at naturalgis dot pt) or use dropbox (or similar service). Thanks!

#5 - 2016-02-02 04:31 AM - Giovanni Manghi

- Priority changed from Severe/Regression to Normal

- OS version deleted (7)

- Operating System deleted (win)

Gerhard Spieles wrote:

file is to large
just tested on Windows/Osgeo4w on 2.8.6, 2.12.3 and master, and in all three the raster does not open correctly. What driver is used in your system (where

the raster shows ok)?

#6 - 2016-02-03 03:34 AM - Gerhard Spieles

- File without_lib_gdal_ecw_jp2.jpg added

- File with_lib_gdal_ecw_jp2.jpg added

The driver is it!

you need to install the lib gdal-ecw and the problem is solved.

jpgs are attached.

It should be good, when in the standard OSGeOo-Installation, lib gdal-ecw is included

Thank`s Giovanni

#7 - 2016-02-05 03:40 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

2.13_master_can_not_display_jp2_raster.jpg 101 KB 2016-02-01 Gerhard Spieles

without_lib_gdal_ecw_jp2.jpg 178 KB 2016-02-03 Gerhard Spieles

with_lib_gdal_ecw_jp2.jpg 227 KB 2016-02-03 Gerhard Spieles
